package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.model.TpRoomNo;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

public interface BuildingTreeServiceI {
	
	/**
	 * 获取整个小区的基础数据
	 * @param file
	 * @return
	 */
	ResponseBean getExcelData(MultipartFile file);
	
	/**
	 * 上传小区的基础数据
	 * @param file
	 * @param communityId
	 * @param userElement
	 * @return
	 */
	ResponseBean submitExcelData(MultipartFile file, Integer communityId, TaUser userElement);
	
	/**
	 * 获取树形数据
	 * @param orgId
	 * @param id
	 * @param treeType
	 * @return
	 */
	ResponseBean getTreeList(Integer orgId, Integer id, String treeType);

	/**
	 * 添加当前节点
	 * @param parameter
	 * @param orgId
	 * @return
	 */
    ResponseBean addNode(String parameter, Integer orgId);

	/**
	 * 当删除前节点
	 * @param parameter
	 * @param orgId
	 * @return
	 */
	ResponseBean deleteNode(String parameter, Integer orgId);

	IPage<TpRoomNo> getRoomList(IPage<TpRoomNo> page, Integer orgId, Integer phaseId, Integer buildingId, Integer unitId, Integer levelId, Integer roomNoId);

	ResponseBean editNode(Map<String, Object> parameter, Integer orgId);

    int getRoomNum(Integer orgId, Integer communityId);
}
